## org.eclipse.emf.query.conditions.eobjects.structuralfeatures
Class EObjectContainmentFeatureCondition

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.eobjects.EObjectCondition
              org.eclipse.emf.query.conditions.eobjects.structuralfeatures.EObjectContainmentFeatureCondition

    public class EObjectContainmentFeatureCondition

extends EObjectCondition

A subclass of `EObjectCondition` that tests for the containing feature of a given `EObject` to see if it is the same as a specific `EReference`

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`E_FALSE, E_TRUE`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`EObjectContainmentFeatureCondition(EReference containmentFeature)` A simple constructor, it defaults to using PruneHandler.NEVER
`EObjectContainmentFeatureCondition(EReference containmentFeature, PruneHandler pruneHandler)` A simple constructor, it initializes this `EObjectContainmentFeatureCondition` with the passed arguments.

Method Summary
`boolean` `isSatisfied(EObject eObject)` Answers whether the argument eObject containing `EReference` is the same as the one used in the initialization of this condition.

Methods inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`AND, EQUIVALENT, getPruneHandler, IMPLIES, isSatisfied, OR, shouldPrune, XOR`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EObjectContainmentFeatureCondition

    public EObjectContainmentFeatureCondition(EReference containmentFeature)

  A simple constructor, it defaults to using PruneHandler.NEVER

  Parameters:
    `containmentFeature` - The `EReference` to check for

### EObjectContainmentFeatureCondition

    public EObjectContainmentFeatureCondition(EReference containmentFeature,
                                              PruneHandler pruneHandler)

  A simple constructor, it initializes this `EObjectContainmentFeatureCondition` with the passed arguments.

  Parameters:
    `containmentFeature` - The `EReference` to check for
    `pruneHandler` - The `PruneHandler` to use

Method Detail

### isSatisfied

    public boolean isSatisfied(EObject eObject)

  Answers whether the argument eObject containing `EReference` is the same as the one used in the initialization of this condition.

  Specified by:
    `isSatisfied` in class `EObjectCondition`
  Parameters:
    `eObject` - the `EObject` to check
  Returns:
    boolean `true` if the argument eObject satisfies this `EObjectCondition`
  See Also:
    `EObjectCondition.isSatisfied(org.eclipse.emf.ecore.EObject)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.